﻿using Entities;
using Model.OrderCriteria;
using Shared;

namespace API.Service;

public class InquiryDataServiceApi(IInquiryService<InquiryEntity> inquiryService) : IInquiryService<InquiryEntity>
{
    public InquiryEntity CreateInquiry(string title, string description, bool isUser, int tableId, int solutionId)
    {
        return inquiryService.CreateInquiry(title, description, isUser, tableId, solutionId);
    }

    public bool DeleteInquiry(int id)
    {
        return inquiryService.DeleteInquiry(id);
    }

    public IEnumerable<InquiryEntity> GetInquiries(int page, int number, InquiryOrderCriteria orderCriteria)
    {
        var inquiries = inquiryService.GetInquiries(page, number, orderCriteria);
        return inquiries.Select(i => i).ToList();
    }

    public InquiryEntity GetInquiryById(int id) => inquiryService.GetInquiryById(id);

    public InquiryEntity GetInquiryByTitle(string title) => inquiryService.GetInquiryByTitle(title);

    public InquiryEntity UpdateInquiry(int id, InquiryEntity inquiry)
    {
        return inquiryService.UpdateInquiry(id, inquiry);
    }
}