﻿using Entities;
using Model.OrderCriteria;
using Shared;

namespace API.Service;

public class LessonDataServiceApi(ILessonService<LessonEntity> lessonService) : ILessonService<LessonEntity>
{
    public IEnumerable<LessonEntity> GetLessons(int page, int number, LessonOrderCriteria orderCriteria)
    {
        var lessonsEntities = lessonService.GetLessons(page, number, orderCriteria);
        return lessonsEntities.Select(e => e).ToList();
    }

    public LessonEntity GetLessonById(int id) => lessonService.GetLessonById(id);

    public LessonEntity GetLessonByTitle(string title) => lessonService.GetLessonByTitle(title);

    public bool DeleteLesson(int id) => lessonService.DeleteLesson(id);

    public LessonEntity UpdateLesson(int id, LessonEntity lesson) =>
        lessonService.UpdateLesson(id, lesson);

    public LessonEntity CreateLesson(string title, string lastPublisher, DateOnly? lastEdit) =>
        lessonService.CreateLesson(title, lastPublisher, lastEdit);
}