﻿using Entities;
using Model.OrderCriteria;
using Shared;

namespace API.Service;

public class ParagraphDataServiceApi(IParagraphService<ParagraphEntity> paragraphService) : IParagraphService<ParagraphEntity>
{
    public IEnumerable<ParagraphEntity> GetParagraphs(int page, int number, ParagraphOrderCriteria orderCriteria)
    {
        var paragraphsEntities = paragraphService.GetParagraphs(page, number, orderCriteria);
        return paragraphsEntities.Select(e => e).ToList();
    }

    public ParagraphEntity GetParagraphById(int id) => paragraphService.GetParagraphById(id);

    public ParagraphEntity GetParagraphByTitle(string title) => paragraphService.GetParagraphByTitle(title);

    public bool DeleteParagraph(int id) => paragraphService.DeleteParagraph(id);

    public ParagraphEntity UpdateParagraph(int id, ParagraphEntity paragraph) =>
        paragraphService.UpdateParagraph(id, paragraph);

    public ParagraphEntity CreateParagraph(string title, string content, string info, string query, string comment, int lessonId) =>
        paragraphService.CreateParagraph(title, content, info, query, comment, lessonId);
}