﻿using Entities;
using Model.OrderCriteria;
using Shared;

namespace API.Service;

public class SuccessDataServiceApi(ISuccessService<SuccessEntity> sucessService) : ISuccessService<SuccessEntity>
{
    public IEnumerable<SuccessEntity> GetSuccesses(int page, int number, SuccessOrderCriteria orderCriteria)
    {
        var successesEntities = sucessService.GetSuccesses(page, number, orderCriteria);
        return successesEntities.Select(e => e).ToList();
    }

    public SuccessEntity GetSuccessByUserId(int id) => sucessService.GetSuccessByUserId(id);

    public SuccessEntity GetSuccessByInquiryId(int id) => sucessService.GetSuccessByInquiryId(id);

    public bool DeleteSuccess(int id) => sucessService.DeleteSuccess(id);

    public SuccessEntity UpdateSuccess(int id, SuccessEntity success) =>
        sucessService.UpdateSuccess(id, success);

    public SuccessEntity CreateSuccess(int userId, int inquiryId, bool isFinished) =>
        sucessService.CreateSuccess(userId, inquiryId, isFinished);
}