﻿using Entities;
using Model.OrderCriteria;
using Shared;
using static System.Runtime.InteropServices.JavaScript.JSType;

namespace API.Service;

public class UserDataServiceApi(IUserService<UserEntity> userService) : IUserService<UserEntity>
{
    public IEnumerable<UserEntity> GetUsers(int page, int number, UserOrderCriteria orderCriteria)
    {
        var usersEntities = userService.GetUsers(page, number, orderCriteria);
        return usersEntities.Select(e => e).ToList();
    }

    public UserEntity GetUserById(int id) => userService.GetUserById(id);

    public UserEntity GetUserByUsername(string username) => userService.GetUserByUsername(username);

    public bool DeleteUser(int id) => userService.DeleteUser(id);

    public UserEntity UpdateUser(int id, UserEntity user) =>
        userService.UpdateUser(id, user);

    public UserEntity CreateUser(string username, string password, string email, bool isAdmin) =>
        userService.CreateUser(username, password, email, isAdmin);

    public Task<UserEntity?> AddItem(UserEntity? item)
    {
        throw new NotImplementedException();
    }

    public Task<bool> DeleteItem(int id)
    {
        throw new NotImplementedException();
    }

    public Task<UserEntity> UpdateItem<TDto>(int? id, TDto? newItem) where TDto : class
    {
        throw new NotImplementedException();
    }

    public async Task<IEnumerable<UserEntity>> GetItems(int page, int count, object orderCriteria, string? filter = null, object? valueFilter = null)
    {
        var usersEntities = await userService.GetItems(page, count, orderCriteria, filter, valueFilter);
        return usersEntities.Select(e => e).ToList();
    }
}