﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("ContentLesson")]
public abstract class ContentLessonEntity
{
    public int Id { get; set; }
    public string ContentContent { get; set; }
    public string ContentTitle { get; set; }
    [ForeignKey(nameof(Lesson))] public int LessonId { get; set; }
    public LessonEntity Lesson { get; set; } = null!;

    protected ContentLessonEntity()
    {
    }

    protected ContentLessonEntity(int id, string contentContent, string contentTitle)
    {
        Id = id;
        ContentContent = contentContent;
        ContentTitle = contentTitle;
    }


    protected ContentLessonEntity(int id, int lessonId, string contentContent, string contentTitle)
    {
        Id = id;
        LessonId = lessonId;
        ContentContent = contentContent;
        ContentTitle = contentTitle;
    }

    protected ContentLessonEntity(string contentContent, string contentTitle)
    {
        ContentContent = contentContent;
        ContentTitle = contentTitle;
    }
}