﻿namespace Entities;

public class InquiryEntity
{
    public int Id { get; }
    public string Title { get; set; }
    public string Description { get; set; }
    public bool IsUser { get; set; }
    public int IdDatabase { get; set; }
    public InquiryTableEntity Database { get; set; }
    public int IdInquiryTable { get; set; }
    public SolutionEntity InquiryTable { get; set; }

    public InquiryEntity()
    {
    }

    public InquiryEntity(int id)
    {
        Id = id;
    }

    public InquiryEntity(int id, string title, string description, bool isUser, InquiryTableEntity database,
        SolutionEntity inquiryTable)
    {
        Id = id;
        Title = title;
        Description = description;
        IsUser = isUser;
        Database = database;
        InquiryTable = inquiryTable;
    }

    public InquiryEntity(string title, string description, bool isUser, InquiryTableEntity database,
        SolutionEntity inquiryTable)
    {
        Id = 0;
        Title = title;
        Description = description;
        IsUser = isUser;
        Database = database;
        InquiryTable = inquiryTable;
    }

    public InquiryEntity(int id, string title, string description, bool isUser, int database,
        int inquiryTable)
    {
        Id = id;
        Title = title;
        Description = description;
        IsUser = isUser;
        IdDatabase = database;
        IdInquiryTable = inquiryTable;
    }
}