﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("InquiryTable")]
public class InquiryTableEntity
{
    [Key]
    [ForeignKey(nameof(Owner))]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    [Required]
    public int OwnerId { get; set; }
    public InquiryEntity Owner { get; set; }
    public string DatabaseName { get; set; }
    public string ConnectionInfo { get; set; }

    public InquiryTableEntity() { }

    public InquiryTableEntity(int inquiryId)
    {
        OwnerId = inquiryId;
    }
    public InquiryTableEntity(int inquiryId, string databaseName, string connectionInfo)
    {
        OwnerId = inquiryId;
        DatabaseName = databaseName;
        ConnectionInfo = connectionInfo;
    }

    public InquiryTableEntity(InquiryEntity owner, string databaseName, string connectionInfo)
    {
        Owner = owner;
        DatabaseName = databaseName;
        ConnectionInfo = connectionInfo;
    }
}