﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Lesson")]
public class LessonEntity
{
    public int Id { get; set; }
    public string? Title { get; set; }
    public string? LastPublisher { get; set; }
    public DateOnly? LastEdit { get; set; }
    public ICollection<ContentLessonEntity> Content { get; set; } = new List<ContentLessonEntity>();

    public LessonEntity() { }

    public LessonEntity(int id, string title, string lastPublisher, DateOnly? lastEdit)
    {
        Id = id;
        Title = title;
        LastPublisher = lastPublisher;
        LastEdit = lastEdit;
    }

    public LessonEntity(string title, string lastPublisher, DateOnly? lastEdit)
    {
        Title = title;
        LastPublisher = lastPublisher;
        LastEdit = lastEdit;
    }
}