﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Solution")]
public class SolutionEntity
{
    [Key]
    [ForeignKey(nameof(Owner))]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    [Required]
    public int OwnerId { get; set; }
    public InquiryEntity? Owner { get; set; }
    public string? MurdererFirstName { get; set; }
    public string? MurdererLastName { get; set; }
    public string? MurderPlace { get; set; }
    public string? MurderWeapon { get; set; }
    public string? Explanation { get; set; }
    public SolutionEntity() { }
    public SolutionEntity(int ownerId)
    {
        OwnerId = ownerId;
    }
    public SolutionEntity(int ownerId, InquiryEntity? owner, string murdererFirstName, string murdererLastName, string murderPlace, string murderWeapon, string explanation)
    {
        OwnerId = ownerId;
        Owner = owner;
        MurdererFirstName = murdererFirstName;
        MurdererLastName = murdererLastName;
        MurderPlace = murderPlace;
        MurderWeapon = murderWeapon;
        Explanation = explanation;
    }
    public SolutionEntity(InquiryEntity? owner, string murdererFirstName, string murdererLastName, string murderPlace, string murderWeapon, string explanation)
    {
        Owner = owner;
        MurdererFirstName = murdererFirstName;
        MurdererLastName = murdererLastName;
        MurderPlace = murderPlace;
        MurderWeapon = murderWeapon;
        Explanation = explanation;
    }
    public SolutionEntity(int ownerId, string murdererFirstName, string murdererLastName, string murderPlace, string murderWeapon, string explanation)
    {
        OwnerId = ownerId;
        MurdererFirstName = murdererFirstName;
        MurdererLastName = murdererLastName;
        MurderPlace = murderPlace;
        MurderWeapon = murderWeapon;
        Explanation = explanation;
    }
}