﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Success")]
public class SuccessEntity
{
    [ForeignKey(nameof(User))]
    public int UserId { get; set; }
    public UserEntity User { get; set; }

    [ForeignKey(nameof(Inquiry))]
    public int InquiryId { get; set; }
    public InquiryEntity Inquiry { get; set; }
    public bool IsFinished { get; set; }

    public SuccessEntity() { }

    public SuccessEntity(int userId, UserEntity user, int inquiryId, InquiryEntity inquiry, bool isFinished)
    {
        UserId = userId;
        User = user;
        InquiryId = inquiryId;
        Inquiry = inquiry;
        IsFinished = isFinished;
    }

    public SuccessEntity(int userId, int inquiryId, bool isFinished)
    {
        UserId = userId;
        InquiryId = inquiryId;
        IsFinished = isFinished;
    }

    public SuccessEntity(UserEntity user, InquiryEntity inquiry, bool isFinished)
    {
        User = user;
        Inquiry = inquiry;
        IsFinished = isFinished;
    }
}