﻿using DbContextLib;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Shared
{
    public class DataService<TUser, Tlesson, TInquiry, TParagraphe, TSucesss> : IdataService<TUser, Tlesson, TInquiry, TParagraphe, TSucesss> where TUser : class
    {
        private UserDbContext _dbContext;
        public DataService(UserDbContext userDbContext, IUserService<TUser> userService, ILessonService<Tlesson> lessonService, IInquiryService<TInquiry> inquiryService, IParagraphService<TParagraphe> paragrapheService, ISuccessService<TSucesss> sucessService) 
        {
            this._dbContext = userDbContext;

            this.inquiryService = inquiryService;
            this.lessonService = lessonService;
            this.paragraphService = paragrapheService;
            this.successDataService = sucessService;
            this.userService = userService;
            //this.userService = new UserDataService(userDbContext);
        }
        public IUserService<TUser> userService { get; }

        public IInquiryService<TInquiry> inquiryService { get; }

        public ILessonService<Tlesson> lessonService { get; }

    public IParagraphService<TParagraphe> paragraphService { get; }

    public ISuccessService<TSucesss> successDataService { get; }
}
}
