﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Shared
{
    public interface IGenericDataService<T> where T : class
    {
        public Task<T?> AddItem(T? item);
        public Task<bool> DeleteItem(int id);
        public Task<T> UpdateItem<TDto>(int? id, TDto? newItem) where TDto : class;
        public Task<IEnumerable<T>> GetItems(int page, int count, object orderCriteria, string? filter = null, object? valueFilter = null);

    }
}
