using Dto;
using Model.OrderCriteria;

namespace Shared;

public interface ILessonDataService : ILessonService<LessonDTO>
{
    public IEnumerable<LessonDTO> GetLessons(int page, int number, LessonOrderCriteria orderCriteria);
    public LessonDTO GetLessonById(int id);
    public LessonDTO GetLessonByTitle(string title);
    public bool DeleteLesson(int id);
    public LessonDTO UpdateLesson(int id, LessonDTO lesson);
    public LessonDTO CreateLesson(string title, string lastPublisher, DateOnly? lastEdit);
    
}