using Dto;
using Model.OrderCriteria;

namespace Shared;

public interface IParagraphDataService : IParagraphService<ParagraphDTO>
{
    public IEnumerable<ParagraphDTO> GetParagraphs(int page, int number, ParagraphOrderCriteria orderCriteria);
    public ParagraphDTO GetParagraphById(int id);
    public ParagraphDTO GetParagraphByTitle(string title);
    public bool DeleteParagraph(int id);
    public ParagraphDTO UpdateParagraph(int id, ParagraphDTO paragraph);
    public ParagraphDTO CreateParagraph(string title, string content, string info, string query, string comment, int lessonId);
}