﻿using Model.OrderCriteria;

namespace Shared
{
    public interface ISuccessService<TSuccess>
    {
        public IEnumerable<TSuccess> GetSuccesses(int page, int number, SuccessOrderCriteria orderCriteria);
        public TSuccess GetSuccessByUserId(int id);
        public TSuccess GetSuccessByInquiryId(int id);
        public bool DeleteSuccess(int id);
        public TSuccess UpdateSuccess(int id, TSuccess success);
        public TSuccess CreateSuccess(int userId, int inquiryId, bool isFinished);
    }
}