using Dto;
using Model.OrderCriteria;

namespace Shared;

public interface IUserDataService : IUserService<UserDTO>
{
    public IEnumerable<UserDTO> GetUsers(int page, int number, UserOrderCriteria orderCriteria);
    public UserDTO GetUserById(int id);
    public UserDTO GetUserByUsername(string username);
    public bool DeleteUser(int id);
    public UserDTO UpdateUser(int id, UserDTO user);
    public UserDTO CreateUser(string username, string password, string email, bool isAdmin);
}