﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class InquiryMapper
{
    public static Inquiry FromDTOToModel(this InquiryDTO InqDto)
    {
        return new Inquiry(InqDto.Id, InqDto.Title, InqDto.Description, InqDto.IsUser, InqDto.Database,
            InqDto.InquiryTable);
    }

    public static Inquiry FromEntityToModel(this InquiryEntity InqEntity)
    {
        return new Inquiry(InqEntity.Id, InqEntity.Title, InqEntity.Description, InqEntity.IsUser,
            InqEntity.Database.OwnerId, InqEntity.InquiryTable.OwnerId);
    }


    public static InquiryEntity FromModelToEntity(this Inquiry Inq)
    {
        return new InquiryEntity(Inq.Id, Inq.Title, Inq.Description, Inq.IsUser, new InquiryTableEntity(Inq.Database),
            new SolutionEntity(Inq.InquiryTable));
    }

    public static InquiryEntity FromDTOToEntity(this InquiryDTO InqDto)
    {
        return new InquiryEntity(InqDto.Id, InqDto.Title, InqDto.Description, InqDto.IsUser,
            new InquiryTableEntity(InqDto.Database), new SolutionEntity(InqDto.InquiryTable));
    }

    public static InquiryDTO FromModelToDTO(this Inquiry Inq)
    {
        return new InquiryDTO(Inq.Id, Inq.Title, Inq.Description, Inq.IsUser, Inq.Database, Inq.InquiryTable);
    }

    public static InquiryDTO FromEntityToDTO(this InquiryEntity InqEntity)
    {
        return new InquiryDTO(InqEntity.Id, InqEntity.Title, InqEntity.Description, InqEntity.IsUser,
            InqEntity.Database.OwnerId, InqEntity.InquiryTable.OwnerId);
    }
}