﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class UserMapper
{
    public static User FromDTOToModel(this UserDTO dto)
    {
        return new User(dto.Id, dto.Username, dto.Password, dto.Email, dto.IsAdmin);
    }

    public static UserEntity FromDTOToEntity(this UserDTO dto)
    {
        return new UserEntity(dto.Id, dto.Username, dto.Password, dto.Email, dto.IsAdmin);
    }

    public static User FromEntityToModel(this UserEntity entity)
    {
        return new User(entity.Id, entity.Username, entity.Password, entity.Email, entity.IsAdmin);
    }

    public static UserDTO FromEntityToDTO(this UserEntity entity)
    {
        return new UserDTO(entity.Id, entity.Username, entity.Password, entity.Email, entity.IsAdmin);
    }

    public static UserDTO FromModelToDTO(this User user)
    {
        return new UserDTO(user.Id, user.Username, user.Password, user.Email, user.IsAdmin);
    }

    public static UserEntity FromModelToEntity(this User user)
    {
        return new UserEntity(user.Id, user.Username, user.Password, user.Email, user.IsAdmin);
    }
}